ExternalGroovyClassDoc (Groovy 5.0.7)

Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class ExternalGroovyClassDoc

- org.codehaus.groovy.tools.groovydoc.ExternalGroovyClassDoc

- All Implemented Interfaces and Traits:
    GroovyClassDoc

      public class ExternalGroovyClassDoc
      extends Object
      implements GroovyClassDoc

  Represents a class not in the codebase being processed.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExternalGroovyClassDoc(Class externalClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyAnnotationRef[]` | `annotations()`
    `` | `public String` | `commentText()`
    `` | `public int` | `compareTo(GroovyDoc o)`
    `` | `public GroovyConstructorDoc[]` | `constructors()`
    `` | `public GroovyConstructorDoc[]` | `constructors(boolean filter)`
    `` | `public GroovyClassDoc` | `containingClass()`
    `` | `public GroovyPackageDoc` | `containingPackage()`
    `` | `public boolean` | `definesSerializableFields()`
    `` | `public GroovyFieldDoc[]` | `enumConstants()`
    `` | `public boolean` | `equals(Object other)`
    `` | `public Class` | `externalClass()`
    `` | `public GroovyFieldDoc[]` | `fields()`
    `` | `public GroovyFieldDoc[]` | `fields(boolean filter)`
    `` | `public GroovyClassDoc` | `findClass(String className)`
    `` | `public String` | `firstSentenceCommentText()`
    `` | `public String` | `getFullPathName()`
    `` | `public String` | `getRawCommentText()`
    `` | `public String` | `getRelativeRootPath()`
    `` | `public String` | `getTypeSourceDescription()`
    `` | `public int` | `hashCode()`
    `` | `public GroovyClassDoc[]` | `importedClasses()`
    `` | `public GroovyPackageDoc[]` | `importedPackages()`
    `` | `public GroovyClassDoc[]` | `innerClasses()`
    `` | `public GroovyClassDoc[]` | `innerClasses(boolean filter)`
    `` | `public GroovyType[]` | `interfaceTypes()`
    `` | `public GroovyClassDoc[]` | `interfaces()`
    `` | `public boolean` | `isAbstract()`
    `` | `public boolean` | `isAnnotationType()`
    `` | `public boolean` | `isAnnotationTypeElement()`
    `` | `public boolean` | `isClass()`
    `` | `public boolean` | `isConstructor()`
    `` | `public boolean` | `isDeprecated()`
    `` | `public boolean` | `isEnum()`
    `` | `public boolean` | `isEnumConstant()`
    `` | `public boolean` | `isError()`
    `` | `public boolean` | `isException()`
    `` | `public boolean` | `isExternalizable()`
    `` | `public boolean` | `isField()`
    `` | `public boolean` | `isFinal()`
    `` | `public boolean` | `isIncluded()`
    `` | `public boolean` | `isInterface()`
    `` | `public boolean` | `isMethod()`
    `` | `public boolean` | `isOrdinaryClass()`
    `` | `public boolean` | `isPackagePrivate()`
    `` | `public boolean` | `isPrimitive()`
    `` | `public boolean` | `isPrivate()`
    `` | `public boolean` | `isProtected()`
    `` | `public boolean` | `isPublic()`
    `` | `public boolean` | `isRecord()`
    `` | `public boolean` | `isSerializable()`
    `` | `public boolean` | `isStatic()`
    `` | `public GroovyMethodDoc[]` | `methods()`
    `` | `public GroovyMethodDoc[]` | `methods(boolean filter)`
    `` | `public int` | `modifierSpecifier()`
    `` | `public String` | `modifiers()`
    `` | `public String` | `name()`
    `` | `public GroovyFieldDoc[]` | `properties()`
    `` | `public String` | `qualifiedName()`
    `` | `public String` | `qualifiedTypeName()`
    `` | `public GroovyFieldDoc[]` | `serializableFields()`
    `` | `public GroovyMethodDoc[]` | `serializationMethods()`
    `` | `public void` | `setRawCommentText(String arg0)`
    `` | `public String` | `simpleTypeName()`
    `` | `public boolean` | `subclassOf(GroovyClassDoc gcd)`
    `` | `public GroovyClassDoc` | `superclass()`
    `` | `public GroovyType` | `superclassType()`
    `` | `public String` | `typeName()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ExternalGroovyClassDoc(Class externalClass)

  - ### Method Detail

    - #### @Override
      public GroovyAnnotationRef[] annotations()

    - #### @Override
      public String commentText()

    - #### @Override
      public int compareTo(GroovyDoc o)

    - #### @Override
      public GroovyConstructorDoc[] constructors()

    - #### @Override
      public GroovyConstructorDoc[] constructors(boolean filter)

    - #### @Override
      public GroovyClassDoc containingClass()

    - #### @Override
      public GroovyPackageDoc containingPackage()

    - #### @Override
      public boolean definesSerializableFields()

    - #### @Override
      public GroovyFieldDoc[] enumConstants()

    - #### @Override
      public boolean equals(Object other)

    - #### public Class externalClass()

    - #### @Override
      public GroovyFieldDoc[] fields()

    - #### @Override
      public GroovyFieldDoc[] fields(boolean filter)

    - #### @Override
      public GroovyClassDoc findClass(String className)

    - #### @Override
      public String firstSentenceCommentText()

    - #### @Override
      public String getFullPathName()

    - #### @Override
      public String getRawCommentText()

    - #### @Override
      public String getRelativeRootPath()

    - #### public String getTypeSourceDescription()

    - #### @Override
      public int hashCode()

    - #### @Override
      public GroovyClassDoc[] importedClasses()

    - #### @Override
      public GroovyPackageDoc[] importedPackages()

    - #### @Override
      public GroovyClassDoc[] innerClasses()

    - #### @Override
      public GroovyClassDoc[] innerClasses(boolean filter)

    - #### @Override
      public GroovyType[] interfaceTypes()

    - #### @Override
      public GroovyClassDoc[] interfaces()

    - #### @Override
      public boolean isAbstract()

    - #### @Override
      public boolean isAnnotationType()

    - #### @Override
      public boolean isAnnotationTypeElement()

    - #### @Override
      public boolean isClass()

    - #### @Override
      public boolean isConstructor()

    - #### @Override
      public boolean isDeprecated()

    - #### @Override
      public boolean isEnum()

    - #### @Override
      public boolean isEnumConstant()

    - #### @Override
      public boolean isError()

    - #### @Override
      public boolean isException()

    - #### @Override
      public boolean isExternalizable()

    - #### @Override
      public boolean isField()

    - #### @Override
      public boolean isFinal()

    - #### @Override
      public boolean isIncluded()

    - #### @Override
      public boolean isInterface()

    - #### @Override
      public boolean isMethod()

    - #### @Override
      public boolean isOrdinaryClass()

    - #### @Override
      public boolean isPackagePrivate()

    - #### @Override
      public boolean isPrimitive()

    - #### @Override
      public boolean isPrivate()

    - #### @Override
      public boolean isProtected()

    - #### @Override
      public boolean isPublic()

    - #### @Override
      public boolean isRecord()

    - #### @Override
      public boolean isSerializable()

    - #### @Override
      public boolean isStatic()

    - #### @Override
      public GroovyMethodDoc[] methods()

    - #### @Override
      public GroovyMethodDoc[] methods(boolean filter)

    - #### @Override
      public int modifierSpecifier()

    - #### @Override
      public String modifiers()

    - #### @Override
      public String name()

    - #### @Override
      public GroovyFieldDoc[] properties()

    - #### @Override
      public String qualifiedName()

    - #### @Override
      public String qualifiedTypeName()

    - #### @Override
      public GroovyFieldDoc[] serializableFields()

    - #### @Override
      public GroovyMethodDoc[] serializationMethods()

    - #### @Override
      public void setRawCommentText(String arg0)

    - #### @Override
      public String simpleTypeName()

    - #### @Override
      public boolean subclassOf(GroovyClassDoc gcd)

    - #### @Override
      public GroovyClassDoc superclass()

    - #### @Override
      public GroovyType superclassType()

    - #### @Override
      public String typeName()